Help with Torch-related error?

Hi everyone, I’m trying to get some software i got from GitHub working.

Here is the GitHub link: GitHub - wonjongg/StyleCariGAN: Official implementation of "StyleCariGAN: Caricature Generation via StyleGAN Feature Map Modulation" (SIGGRAPH 2021)

I got almost everything working up until i enter:
python test.py --ckpt checkpoint/StyleCariGAN/001000.pt --input_dir examples/samples --output_dir examples/results --invert_images"

However, I receive the error:

C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py:316: UserWarning: Error checking compiler version for cl: [WinError 2] The system cannot find the file specified
  warnings.warn(f'Error checking compiler version for {compiler}: {error}')
C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\cuda\__init__.py:143: UserWarning:
NVIDIA GeForce RTX 3080 with CUDA capability sm_86 is not compatible with the current PyTorch installation.
The current PyTorch install supports CUDA capabilities sm_37 sm_50 sm_60 sm_61 sm_70 sm_75 compute_37.
If you want to use the NVIDIA GeForce RTX 3080 GPU with PyTorch, please check the instructions at https://pytorch.org/get-started/locally/

  warnings.warn(incompatible_device_warn.format(device_name, capability, " ".join(arch_list), device_name))
INFO: Could not find files for the given pattern(s).
Traceback (most recent call last):
  File "test.py", line 10, in <module>
    from invert import *
  File "C:\Users\nicol\StyleCariGAN\invert.py", line 12, in <module>
    from exaggeration_model import StyleCariGAN
  File "C:\Users\nicol\StyleCariGAN\exaggeration_model.py", line 7, in <module>
    from model import PixelNorm, EqualLinear, ConstantInput, StyledConv, ToRGB, ExaggerationLayer
  File "C:\Users\nicol\StyleCariGAN\model.py", line 13, in <module>
    from op import FusedLeakyReLU, fused_leaky_relu, upfirdn2d
  File "C:\Users\nicol\StyleCariGAN\op\__init__.py", line 1, in <module>
    from .fused_act import FusedLeakyReLU, fused_leaky_relu
  File "C:\Users\nicol\StyleCariGAN\op\fused_act.py", line 15, in <module>
    os.path.join(module_path, "fused_bias_act_kernel.cu"),
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py", line 1136, in load
    keep_intermediates=keep_intermediates)
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py", line 1347, in _jit_compile
    is_standalone=is_standalone)
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py", line 1445, in _write_ninja_file_and_build_library
    is_standalone=is_standalone)
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py", line 1885, in _write_ninja_file_to_build_library
    with_cuda=with_cuda)
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\site-packages\torch\utils\cpp_extension.py", line 2001, in _write_ninja_file
    'cl']).decode(*SUBPROCESS_DECODE_ARGS).split('\r\n')
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\subprocess.py", line 411, in check_output
    **kwargs).stdout
  File "C:\Users\nicol\AppData\Local\Programs\Python\Python37\lib\subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['where', 'cl']' returned non-zero exit status 1.

I did some googling and tried installing MSCV 14.0 and adding it to PATH, but with no luck. Thank you for any help! I’m very desperate to get this working!

3080 requires CUDA 11.1+